
Redmine - Defect #1768

Custom field reordering isn't working at a lot of places

2008-08-11 19:41 - Mischa The Evil

Status: New Start date: 2008-08-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    
Description

Description:

After feature request #477 revision r901 introduces custom-field reordering. Though this implementation seems to be (mostly) not

working.

My own review log which is quite detailed:

* issue.custom_fields    -> Are not reordered at all:

                - not in the issue-view (@ /issues/show/xxxissuexxx)

                - not for the appearance of it's column in the main issuelist-view (@ /issues)

                - not for the appearance of it's column in the project's issuelist-view (@ /projec

ts/xxxprojectxxx/issues)

                - not in the issue edit-view (@ /issues/edit/xxxissuexxx)

* project.custom_fields  -> Are reordered partly:

                - not in the projectoverview-view (@ /projects/show/xxxprojectxxx)

                - it actually works in the edit-view (@ /projects/settings/xxxprojectxxx)

* user.custom_fields     -> Are reordered partly:

                - not in the account-view (@ /account/show/xxxuserxxx)

                - it actually works in the admin's account edit-view (@ /users/edit/xxxuserxxx)

                (user's edit-view isn't available at all (see #524 for the issue and #242 for an o

lder patch))

* timelog.custom_fields  -> Are reordered partly

                - works fully in the general timelog edit-view (@ /projects/xxxprojectxxx/timelog/

edit/xxxtimelogentryxxx)

                - works fully in the issue's timelog edit-view (@ /timelog/edit?issue_id=xxxissuex

xx)

                (timelog's details-view (@ /projects/xxxprojectxxx/timelog/details) is missing col

umns for timelog.custom_fields at all (see #1766))

                (timelog's report-view (@ /projects/xxxprojectxxx/timelog/report) does contain the

 timelog.custom_fields columns though they are not reordered (order in the 'Add:'-list is a mess))

 

Issue Notes:

Category 'Custom Fields' isn't correct, but on purpose since this is related actually to some views of different category-items.

This seems the best category of all...

Affected version 'devel' is party correct. Most certain this is also a defect on the 0.7 stable-branch.

IRC-log of discussion specific to issue.custom_fields:

Me: It doesn't hold any code ... to sort those fields like done in the admin-section. That means sorting of issue.custom-fields like

implemented in r901 isn't what is meanted in #477 which therefore shouldnt be closed imho...

Eric Davis: I think it's right, the controller selects the fields in order by position.

 Eric Davis: ah but your right, the latest code was refactored and it looks like it isn't checking that
 Me: Indeed imo after r901 the fields should be rendered ordered like done in the admin.

Eric Davis: nm, acts_as_customizable automatically orders by position.

 Eric Davis: but the UI isn't reflecting it...

 Eric Davis: the code looks correct but the UI isn't reordering on my install.

 Me: Thanks for the confirmation

Associated revisions

Revision 1731 - 2008-08-11 20:24 - Jean-Philippe Lang

Fixes custom fields display order at several places (#1768).

History

#1 - 2008-08-11 20:25 - Jean-Philippe Lang

- Target version set to 0.8

r1731 should fix:

issue-view (@ /issues/show/xxxissuexxx)

issue edit-view (@ /issues/edit/xxxissuexxx)

projectoverview-view (@ /projects/show/xxxprojectxxx)

account-view (@ /account/show/xxxuserxxx)

More fixes will be applied.

#2 - 2008-08-13 16:02 - Wayne Simpson

We need to be able to sort by the custom fields after running a custome query.

#3 - 2008-08-14 00:20 - Mischa The Evil

Jean-Philippe Lang wrote:

r1731 should fix:

issue-view (@ /issues/show/xxxissuexxx)

issue edit-view (@ /issues/edit/xxxissuexxx)

projectoverview-view (@ /projects/show/xxxprojectxxx)

account-view (@ /account/show/xxxuserxxx)

More fixes will be applied.

 Thanks for the quick response. Will test with a newer checkout soon and will report back only if r1731 does it's job not correct, which I doubt... :-)

Wayne Simpson wrote:

We need to be able to sort by the custom fields after running a custome query.

 This does not relate in any way to the fact that this defect is about: "Custom field reordering isn't working at a lot of places".

Please "investigate" it some more (maybe using some searches on the Redmine-site) and open a new issue if it's still needed... :-)

#4 - 2008-11-11 10:35 - Jean-Philippe Lang

- Target version deleted (0.8)

#5 - 2010-12-17 06:05 - Mischa The Evil

Jean-Philippe,
After all this time I rechecked the initial issue to see what remains to be implemented:

1. issue.custom_fields

1. the order is not used for the appearance of its column in the global issuelist-view (/issues)

2. timelog.custom_fields

1. timelog's details-view (/projects/xxxprojectxxx/timelog/details) is still missing columns for timelog.custom_fields at all (see #1766)

2. timelog's report-view (/projects/xxxprojectxxx/timelog/report) does contain the timelog.custom_fields columns though they are not reordered

(order and format in the "Add:"-list is a mess)

I think this issue can be closed as soon as at least the remaining point 1.1 is fixed. Then point 2.1 can be done against #1766 and point 2.2 can then

be completed as a future minor new UI-feature which remains to be opened... ;)

Regards...

#6 - 2012-10-11 10:00 - Roberto Viola

+1
